Redmine - Defect #13630

PDF export generates the issue id twice
2013-03-28 19:33 - F Schroedter

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 2.31
Resolution: Fixed Affected version: 2.3.0
Description
The pdf export generates the issue id twice:
Company A - Tickets

& (# |Tracker Status

8 8 |Fehler Meu

7 7 | Fehler Meu

] 6 |Unterstitzung | Gelbst

5 5 |Fehler Gelbst

4 4 | Fehler Gelbst

2 |2 |Fenhler Feedback

1 1 Fehler Meu
| added a patch that fixes this bug.
Related issues:
Related to Redmine - Defect #13689: Duplicate column Id em Issues Closed
Precedes Redmine - Defect #14178: PDF API broken in version 2.3.1 Closed

Associated revisions

Revision 11693 - 2013-04-02 19:34 - Etienne Massip
Fixed that issue list PDF export displays ID column twice (#13630).

Contributed by F Schroedter.

Revision 11694 - 2013-04-02 19:37 - Etienne Massip
Code cleanup (#13630).

Contributed by F Schroedter.

Revision 11695 - 2013-04-02 19:50 - Etienne Massip
Merged r11693 from trunk (#13630).

History

#1 - 2013-03-29 08:41 - Etienne Massip
- Status changed from New to Confirmed
- Target version set to 2.3.1

Regression.

Not sure the patch is complete?

#2 - 2013-03-29 12:39 - F Schroedter
- File pdf.rb.2.patch added

This patch should be complete now. It also includes some code improvements: .inject(0) {|s,v| s += v} is replaced by .inject(:+)
#3 - 2013-03-29 12:43 - Etienne Massip

F Schroedter wrote:

This patch should be complete now. It also includes some code improvements: .inject(0) {|s,v| s += v} is replaced by .inject(:+)

Looks fine. What Ruby version did you test it with, please?

#4 - 2013-03-29 12:55 - F Schroedter

Tested on ruby 1.9.2 and 1.9.3. The code improvement should also work on 1.8.7:
http://stackoverflow.com/questions/1538789/how-to-sum-array-members-in-ruby

#5 - 2013-03-29 14:35 - Etienne Massip

Looks like .inject(0) {|s,w| s += w} should be replaced by .inject(0, :+) rather than .inject(:+)?

#6 - 2013-03-29 15:07 - F Schroedter
- File pdf.rb.3.patch added

You are right.

#7 - 2013-04-02 19:40 - Etienne Massip
- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Fixed with r11693.

#8 - 2013-04-02 19:51 - Etienne Massip

- Status changed from Resolved to Closed

Merged from trunk.

Files

double_issuelD.png 10.7 KB 2013-03-28 F Schroedter
pdf.rb.patch 2.09 KB 2013-03-28 F Schroedter
pdf.rb.2.patch 6.04 KB 2013-03-29 F Schroedter
pdf.rb.3.patch 6.05 KB 2013-03-29 F Schroedter
